Subject: [IPFIX] Comments on "IPFIX Export per SCTP Stream"

From: "Boschi, Elisa" <[email-masked]>
Date: Thu, 8 May 2008 13:19:01 +0100

Benoit, all,

I've reviewed the per-stream draft. Overall I like the draft and consider it ready for adoption as WG item. Comments below:

General Comment:
As already said during the IPFIX meeting in Philadelphia, I'd like to see a section on the limitations of this method and a few more words on its applicability. 
While the advantages are clearly listed, it is not clear 
- to which set of applications this specification is targeted (this might be added in 2.1 Applicability), 
- which limitations the method has.

2. The introduction summarises the IPFIX protocol and then jumps to listing the advantages offered by this draft's specification. It would be nice and would help readability to have another paragraph between the two describing what the method in this draft is about.

3.1.1, 3rd paragraph:
Typos "...no way of knowing the which Template ID..."
"...now matter..."

3.1.2:
from Sequence Number Field --> from the Sequence Number Field

4.1, 4th paragraph:
The second sentence "If not sent reliably...", is not very clear. Rewording might help

4.4, 4th paragraph, last sentence:
"If the SCTP stream only  contains Data Records from a single Template ID, the Data Records for that Template ID can be calculated."
--> Do you mean "the loss for the Data Records...can be calculated"?

5., 4th paragraph:
all IPFIX Message --> all IPFIX Messages

5., 5th paragraph:
Figure 3 show --> Figure 3 shows
an Template --> a Template

Hope it helps.

Sorry for the delay in posting these comments,

cheers,
Elisa

************************************************************************************************** 
E-mail Confidentiality Notice and Disclaimer. 

This e-mail and any files transmitted with it are confidential and are intended solely for the use 
of the individual or entity to which they are addressed. Access to this e-mail by anyone else is 
unauthorised. If you are not the intended recipient, any disclosure, copying, distribution or any
action taken or omitted to be taken in reliance on it, is prohibited. E-mail messages are not 
necessarily secure. Hitachi does not accept responsibility for any changes made to this message 
after it was sent. 
Hitachi checks outgoing e-mail messages for the presence of computer viruses. 
**************************************************************************************************
_______________________________________________
IPFIX mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipfix